////////////////////////////////////////////////////////////////////////////////////////
// a_fileop_fileexecute_unix.js
// 
// Acceptance test
// 	 Checks the ability of executing a known file with a parameter
//        (temp: install & executing test_exe c-program on Linux. This executable
//	  will display 7 lines of printed output: "test ...")
// ~ XPInstall QA
//   October 12, 1999
//   March 3, 2000. David Epstein. Now uses File object and renamed API.
//   August 14, 2000. David Epstein. Changed file append method in getFolder().
//
//////////////////////////////////////////////////////////////////////////////////////////

jarSrc = "test_exe";
regName = "fileop_fileexecute_unix";

initInstall("Acceptance: a_fileop_fileexecute_unix", "acceptance", "1.1.1.1", 0);
f = getFolder("Program");
addFile(regName, "2.2.2.2", jarSrc, f, jarSrc, true);
performOrCancel();

initInstall("The execute part", "acceptance", "1.1.1.1", 0);
fileSource = getFolder(f, jarSrc); 	// append file to path
logComment("pathway = " + fileSource);
//err1 = File.execute("/usr/bin/vi", "parameter_unix.txt &");
err1 = File.execute(fileSource);
logComment("File.execute returns = " + err1);
performOrCancel();

function performOrCancel() 
{ 
   if (0 == getLastError())
      performInstall();			// do the install here.
   else
      cancelInstall();
}

